CREATE OR REPLACE FORCE EDITIONABLE VIEW "AROPS"."SOD_POLICY_V" ("POLICY_ID", "POLICY_STATUS", "CHANGED_BY", "CREATED_BY", "CREATION_TIME", "POLICY_DESCRIPTION", "DETECTION_STATUS", "POLICY_NAME", "RISK", "STATE", "UNIQUE_POLICY_ID", "UPDATE_TIME", "CONTROL_PERIOD", "RESOLVE", "OWNERS") AS 
SELECT sp.id policy_id,
    sp.deleted policy_status,
    change.display_name changed_by,
    creater.display_name created_by,
    sp.creation_time,
    sp.description policy_description,
    sp.detection_status,
    sp.name policy_name,
    sp.risk,
    sp.state,
    sp.unique_policy_id,
    sp.update_time,
    sp.control_period,
    sp.resolve,
    policy_owners.owners
   FROM sod_policy sp
     LEFT JOIN suser change ON change.unique_user_id = sp.changed_by AND change.deleted = '0' AND change.effective = '1'
     LEFT JOIN suser creater ON creater.unique_user_id = sp.created_by AND creater.deleted = '0' AND creater.effective = '1'
     LEFT JOIN (SELECT policy_owners_v.sod_policy,
            listagg(TO_CHAR(policy_owners_v.owner_name), ', ') WITHIN GROUP(ORDER BY policy_owners_v.owner_name) owners
           FROM policy_owners_v
          GROUP BY policy_owners_v.sod_policy) policy_owners ON policy_owners.sod_policy = sp.id
  WHERE sp.deleted = '0';